Bug 4843 - xpdf will not build from source rpm with gcc 2.95.1
xpdf will not build from source rpm with gcc 2.95.1
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: xpdf (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-01 22:03 EDT by Warren Sturm
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-02 14:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Sturm 1999-09-01 22:03:14 EDT
extract from rpm --rebuild


    c++ -g -O2 -DHAVE_DIRENT_H=1 -DHAVE_REWINDDIR=1
-DHAVE_POPEN=1
    -DHAVE_X11_XPM_H=1 -DUSE_GZIP -I./../goo -I.
-I/usr/X11R6/include
    -c LTKButtonDialog.cc

    LTKButtonDialog.cc: In method
    `LTKButtonDialogWidget::LTKButtonDialogWidget(char *,
int, char *,
    char *, char *, char *, char *)':

    LTKButtonDialog.cc:97: passing `const char *' as
argument 3 of
    `LTKButton::LTKButton(char *, int, char *,
LTKButtonAction, void
    (*)(LTKWidget *, int, int))' discards qualifiers

    LTKButtonDialog.cc:101: passing `const char *' as
argument 3 of
    `LTKButton::LTKButton(char *, int, char *,
LTKButtonAction, void
    (*)(LTKWidget *, int, int))' discards qualifiers

    make[1]: *** [LTKButtonDialog.o] Error 1

    make[1]: Leaving directory
`/usr/src/redhat/BUILD/xpdf-0.80/ltk'

    make: *** [all] Error 2

    Bad exit status from /var/tmp/rpm-tmp.81215 (%build)

	LTKButtonDialog.cc
	PSOutputDev.cc
Comment 1 Preston Brown 1999-09-02 14:46:59 EDT
we do not support gcc 2.95 yet.

Note You need to log in before you can comment on or make changes to this bug.